<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tlsales WHERE ftsales_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode merk sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    
    Getsecurity("salesman");

    $objAxpDB->ViewName("Daftar Salesman");
    $objAxpDB->ViewSQL("SELECT fnid, ftsales_code, ftsales_name, ffcommission,
                        case when fnstatus=0 then 'tidak aktif' else 'aktif' end as fnstatus
                        FROM tlsales ORDER BY ftsales_code, ftsales_name");
    $objAxpDB->ViewCaption("ID, Kode Salesman, Nama Salesman, Komisi, Status");
    
    $objAxpDB->FormName("Salesman"); 
    $objAxpDB->FormSQL("SELECT  ftsales_code, ftsales_name, ffcommission, fnstatus FROM tlsales");
    $objAxpDB->FormCaption("Kode Salesman, Nama Salesman, Komisi, Status");
    $objAxpDB->FormPosition("TL, TL, TL, TL"); 
    
    $objAxpDB->Lookup('fnstatus', 'SELECT fntrans_status_code, fttrans_status_name FROM tstransaction_status where fntrans_status_code<>2 and fntrans_group_code=9', 'fntrans_status_code', 'fttrans_status_name', 1,true);
     
     $objAxpDB->SetStatus("id");                        
        if ($objAxpDB->GetStatus("id") == "") {
                $objAxpDB->ButtonShow("baru");
                
        }
        elseif ($objAxpDB->GetStatus("id") == 0) {
                $objAxpDB->ButtonShow("reset, simpan, tutup");
                $objAxpDB->FormLocked("0, 0, 0, 0");
        }
        elseif ($objAxpDB->GetStatus("id") != 0) {
                $objAxpDB->ButtonShow("update, hapus, tutup"); 
                $objAxpDB->FormLocked("1, 0, 0, 0");
        }
        $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
			
?>
